[Launch]
ProgramExecutable=Ferdium32\Ferdium.exe
ProgramExecutable64=Ferdium64\Ferdium.exe
WorkingDirectory=%FullAppDir%
DirectoryMoveOK=yes
SupportsUNC=yes

[Environment]
PORTABLE_EXECUTABLE_FILE=%PAL:LastDrive%%PAL:LastPackagePartialDir%\FerdiumPortable.exe
PORTABLE_EXECUTABLE_DIR=%PAL:DataDir%
PORTABLE_EXECUTABLE_APP_FILENAME=ferdium

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\FerdiumAppData\FerdiumAppData\config\settings.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\FerdiumAppData\FerdiumAppData\config\settings.json
Find=%PAL:LastDrive%%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:Drive%%PAL:PortableAppsBaseDir%\
